All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata.etl
Interface ProfileReportInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote, TransformationInterface

    public interface ProfileReportInterface

extends TransformationInterface

This is the class for ProfileReportInterface.

Field Summary
`static java.lang.String` | `PUBLIC_TYPE` The public type of this object.
`static java.lang.String` | `ROLE_PROFILE_REPORT` The Transform role of this object if is not a template.

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`java.net.URI` | `getApplicationOpenURI()` Get the hosting application Web access URI for this object type.
`java.lang.String` | `getInternalIdentity()` Get the identity of this report in the using application.
`void` | `setInternalIdentity(java.lang.String internalId)` Set the identity of this report in the using application.

Methods inherited from interface com.sas.services.information.metadata.TransformationInterface
`getTransformationSources, getTransformRole`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### PUBLIC_TYPE

    static final java.lang.String PUBLIC_TYPE

  The public type of this object.

  See Also:
    Constant Field Values

### ROLE_PROFILE_REPORT

    static final java.lang.String ROLE_PROFILE_REPORT

  The Transform role of this object if is not a template.

  See Also:
    Constant Field Values

Method Detail

### getInternalIdentity

    java.lang.String getInternalIdentity()
                                         throws java.rmi.RemoteException,
                                                ServiceException

  Get the identity of this report in the using application.

  Returns:
    id if found, null or empty string otherwise.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### setInternalIdentity

    void setInternalIdentity(java.lang.String internalId)
                             throws java.rmi.RemoteException,
                                    ServiceException

  Set the identity of this report in the using application. This should not be set/used outside the application that manages this object.

  Parameters:
    `internalId` - the UUID/GUID of this report.
  Throws:
    `java.rmi.RemoteException` - if error getting remote environment.
    `ServiceException`

### getApplicationOpenURI

    java.net.URI getApplicationOpenURI()
                                       throws java.rmi.RemoteException,
                                              ServiceException

  Get the hosting application Web access URI for this object type. This is for use in a Browser control or application. This should be used with the GET HttpMethod.

  Returns:
    URI if able to build, null otherwise.
  Throws:
    `java.rmi.RemoteException` - if error contacting OMR
    `ServiceException` - if error building up URI.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.